Skip to main content
GET
/
events
/
{id}
Get Event by ID
curl --request GET \
  --url https://api.odds-api.io/v3/events/{id}
import requests

url = "https://api.odds-api.io/v3/events/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.odds-api.io/v3/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "away": "<string>",
  "awayId": 123,
  "bookmakerCount": 123,
  "date": "<string>",
  "home": "<string>",
  "homeId": 123,
  "id": 123,
  "league": {
    "name": "<string>",
    "slug": "<string>"
  },
  "scores": {
    "away": 123,
    "home": 123,
    "periods": {}
  },
  "sport": {
    "name": "<string>",
    "slug": "<string>"
  },
  "status": "<string>",
  "clock": {
    "minute": 67,
    "playedSeconds": 4023,
    "period": 2,
    "running": true,
    "statusDetail": "2nd half",
    "injuryTime": 4
  }
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Path Parameters

id
integer
required

Event ID

Query Parameters

apiKey
string
required

API key for authentication

Response

OK

away
string
awayId
integer
bookmakerCount
integer
date
string
home
string
homeId
integer
id
integer
league
object
scores
object
sport
object
status
string
clock
object

Live match clock (live events only; absent when no clock data is available)